Skip to content

Get motor product by id

GET
/products/motor/{productId}

Authorizations

BearerAuth
Type
HTTP (bearer)

Parameters

Path Parameters

productId*
Type
string
Required

Responses

Success

application/json
JSON
{
  
"id": 0,
  
"createdAt": "string",
  
"updatedAt": "string",
  
"productType": "string",
  
"policyClauses": [
  
  
"string"
  
],
  
"documents": [
  
  
{
  
  
  
"id": 0,
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string",
  
  
  
"riskCategoryId": 0,
  
  
  
"productId": "string",
  
  
  
"url": "string",
  
  
  
"name": "string"
  
  
}
  
],
  
"insurer": {
  
  
"id": 0,
  
  
"createdAt": "string",
  
  
"updatedAt": "string",
  
  
"name": "string",
  
  
"shortName": "string",
  
  
"logoUrl": "string",
  
  
"address": {
  
  
  
"country": "string",
  
  
  
"province": "string",
  
  
  
"district": "string",
  
  
  
"street": "string",
  
  
  
"plotNo": "string"
  
  
},
  
  
"email": "string",
  
  
"externalInsurerId": "string"
  
},
  
"durationType": "string"
}

Playground

Authorization
Variables
Key
Value

Samples

Built with ❤️ by Hobbiton Technologies